<?php
// mytng_config.inc.php must be included first (db credentials.)
/*
 * GENERALIZE FOR USE WITH ALL TNG SCRIPTS INDEPENDENT OF APP
 *
 */

// DETECT ATTEMPTED DIRECT ACCESS TO THIS SCRIPT
if( count(get_included_files()) == 1 ) {
	require_once 'fgw_inits.php';
	trigger_error( $admtext['wse_access'], E_USER_ERROR );
	die();
}

// DATABASE CREDENTIALS MISSING
if( !isset( $database_host ) ) {
	trigger_error( $admtext['wse_no_dbcreds'], E_USER_ERROR );
	die();
}

define( 'SELECT',   1 );
define( 'INSERT',   2 );
define( 'DELETE',   3 );
define( 'UPDATE',   4 );
define( 'REPLACE',  5 );
define( 'COUNT',    6 );
define( 'SYSTEM',   7 );
/*************************************************************************
OPEN THE DATABASE WITH GLOBAL HANDLE $DB
*************************************************************************/
// open mysqli
$DB = new mysqli(
	$database_host,
	$database_username,
	$database_password,
	$database_name );

if( $DB->connect_error ) {
	trigger_error( $DB->connect_error, E_USER_ERROR );
	die();
}

// mysqli does not recognize TNG's 'UTF-8', only 'utf8' or 'latin1' (ISO-8859-1);
if( $charset == 'UTF-8' ) $charset = 'utf8';
if( $charset != 'utf8' ) $charset = 'latin1';

if( false === mysqli_set_charset( $DB, $charset ) ) {
	trigger_error( $admtext['wse_no_charset'], E_USER_ERROR );
	die();
}
/*************************************************************************
QUERIES
*************************************************************************/
// Library query handler
function db_query( $return_type, $query ){
global $DB, $admin_language_file, $text;

   if( false === $result = $DB->query( $query ) ) {
      trigger_error( $query.'<br />'.mysqli_error( $DB ), E_USER_ERROR);
		die();
   }

	// handle returns and cleanup
	switch( $return_type ){
		case COUNT:
			$row = $result->fetch_array();
			return( $row[0] );
			break;
		case SELECT:
			if( $result->num_rows ) {
				while( $row = $result->fetch_assoc() ) {
				  $rows[] = $row;
				}
				$result->free();
				return $rows;
			}
			return array();
			break;

		case INSERT:
		if( $return_type == INSERT )
		  	return $DB->insert_id;
		break;

		case DELETE:
		case UPDATE:
		case REPLACE:
			return $DB->affected_rows;
			break;

		case SYSTEM:
			return $result;
			break;

		default:
			require $admin_language_file;
			trigger_error( $text['wse_query_type'].': '.$return_type,
				E_USER_ERROR );
			die();
	}
}

function db_escape( $array ) {
global $DB;
	if( is_string( $array ) )  {
	  $array = $DB->real_escape_string( $array );
	}
	elseif( is_array ($array ) )  {
		foreach( $array as $key => $value )
			if( is_string( $value ) ) {
				$array[$key] = $DB->real_escape_string( $value );
			}
	}
	return $array;
}

function db_table_exists( $table_name ) {
	$rows = db_select( "SHOW TABLES LIKE '$table_name'" );
	return count( $rows );
}

function db_column_exists( $table_name, $column_name ) {
	$rows = db_select( "SHOW COLUMNS IN $table_name LIKE '$column_name'" );
	return count( $rows );
}

/*************************************************************************
COUNT
*************************************************************************/
function db_count( $query ) {
	return db_query( COUNT, $query );
}

/*************************************************************************
SELECT
*************************************************************************/
// ret: array of database rows();
function db_select( $query ) {
	return db_query( SELECT, $query );
}

/*************************************************************************
INSERT
*************************************************************************/
// ret new record ID
function db_insert( $query ) {
	return db_query( INSERT, $query );
}

/*************************************************************************
DELETE
*************************************************************************/
// ret: rows affected
function db_delete( $query ) {
	return db_query( DELETE, $query );
}

/*************************************************************************
REPLACE
*************************************************************************/
// ret: affected rows - two for each == one for deleted and one for added.
function db_replace($query ) {
	return db_query( REPLACE, $query );
}

/*************************************************************************
UPDATE
*************************************************************************/
// ret: number affected rows
function db_update( $query ) {
	return db_query( UPDATE, $query );
}
/*************************************************************************
SYSTEM
*************************************************************************/
// ret: number affected rows
function db_system( $query ) {
	return db_query( SYSTEM, $query );
}
