<?php
/*
 * lOG visitors to page
 * Include identity, IP and location.
 * Logstring format -- prefix:index-to-text:suffix
 */

 // DETECT ATTEMPTED DIRECT ACCESS TO THIS SCRIPT
if( count(get_included_files()) == 1 ) {
	require_once 'fgw_inits.php';
	trigger_error( $admtext['wse_access'], E_USER_ERROR );
	die();
}

function fgw_writelog( $userlog, $logstring, $max_loglines, $noipinfo=false ) {
global $time_offset, $admtext;

	// LOGSTRING FORMAT
	// "prefix : index-to-text : suffix

	$parts = explode( ':', $logstring );
	if( count($parts) != 3 ) {
		var_dump( debug_backtrace() );
		die('malformed logstring');
	}
//echo __LINE__,' ';print_r($parts);exit;
	$prefix = $parts[0]; // prefix info
	$index = $parts[1];  // index to admtext
	$suffix = $parts[2]; // suffix info

	// Get current session language name (used by visitor for the log)
	$session_language = $_SESSION['session_language'];

	// PROCESSING LOOP
	$bold = false;
	while( true ) {
		$currentuser = isset( $_SESSION['currentuser'] ) ?
				$_SESSION['currentuser'] : 'guest';

		// always allow log to show admin activity
		if( !empty($_SESSION['tngrole']) && $_SESSION['tngrole'] == 'admin' ) {
			$bold = true;
			break;
		}

		// if logged in, must be a site member
		if( !empty( $_SESSION['logged_in'] ) ) {
			$bold = true;
			// allow privacy if set by user
			if( !empty( $noipinfo ) ) {
				$currentuser = $admtext['ws_member'];
				break;
			}
			// else pass identity on for logging
			break;
		}

      // Whoever it is, is not logged in - see if it is a bot
		$bot = fgw_botcheck();

		// it's a bot - record its identity
		if( !empty($bot) ) {
			$currentuser = $bot;
			break;
		}
		// not a bot and not logged in - must be a looky lou
		$currentuser = $admtext['ws_guest'];
		break;

	} // proc loop

	// COLLECT IP INFO IF ALLOWED
	if( empty( $noipinfo ) ) {
		$IP = getenv('REMOTE_ADDR');
		if( $IP == '::1') $IP = '98.163.60.230'; // For Testing
		$gp = array();
		$gp = unserialize(file_get_contents('http://www.geoplugin.net/php.gp?ip='.$IP));
		//$geoPlugin_array = array();
		$gcity = 'geoplugin_city';
		$gregion = 'geoplugin_regionName';
		$gcountry = 'geoplugin_countryName';
	   $city = !empty( $gp[$gcity] ) ? $gp[$gcity] : '!?';
		$region = !empty( $gp[$gregion] ) ? $gp[$gregion] : '!?';
		$country = !empty( $gp[$gcountry] ) ? $gp[$gcountry] : '!?';

	   $geosource = "[$city, $region, $country]";
	}
	else {
		$geosource = '';
	}

	$updated = date("D d M Y h:i:s A", time() + ( 3600 * $time_offset ) );
	if( $bold ) {
		$updated = "<b>".$updated;
	}

	$log_data = "<?php /*\n" . $updated . ' ' . $prefix . ' ' . $admtext[$index];
	$log_data .= !empty( $suffix ) ? ' ' . $suffix : '';
	$log_data .= ' ' . $currentuser;

	if( empty( $noipinfo ) ) {
		$log_data .=  ' ' . $geosource . ', ip ' . $IP . ' (' . $session_language . ')';
	}
	else {
		$log_data .= '(' . $session_language . ')';
	}

	if( $bold ) {
		$log_data .= '</b>';
	}
	if( !file_exists( $userlog ) ) {
		if( !fgw_create_userlog( $userlog ) ) {
			die( $admtext['ws_nolog_err'] );
		}
	}

	$lines = file( $userlog );
	array_shift( $lines ); // get rid of opening php tag line
	array_pop ( $lines ); // get rid of closing php tag line
	while( $max_loglines && sizeof( $lines ) >= $max_loglines ) {
		array_pop( $lines ); // remove excessive lines from bottom of file
	}
	array_unshift( $lines, "$log_data\n" ); // add new line to top of item list
	array_push( $lines, "*/" ); // close log entries as comment

	$fp = @fopen( $userlog, "w" );
	if( !$fp ) { die ( $admtext['ws_openlog_err'] ); }

	flock( $fp, LOCK_EX );
	$linecount = 0;
	foreach ( $lines as $line ) {
		trim( $line );
		if( $line )
			@fwrite( $fp, $line );
	}
	//	flock( $fp, LOCK_UN );
	fclose( $fp );
}

function fgw_create_userlog ( $userlog ) {
	$content = "<?php /*\n*/";
	return file_put_contents( $userlog, $content );
}

function fgw_botcheck() {
	if( empty( $_SERVER['HTTP_USER_AGENT']) ) {
		RETURN '';
	}

	$t = ' '.strtolower( $_SERVER['HTTP_USER_AGENT'] );
	if (strpos($t, 'google') ) return '[Bot] Googlebot';
	elseif (strpos($t, 'bing') ) return '[Bot] Bingbot';
	elseif (strpos($t, 'slurp' ) ) return '[Bot] Yahoo! Slurp';
	elseif (strpos($t, 'duckduckgo') ) return '[Bot] DuckDuckBot';
	elseif (strpos($t, 'baidu') ) return '[Bot] Baidu';
	elseif (strpos($t, 'yandex') ) return '[Bot] Yandex';
	elseif (strpos($t, 'sogou') ) return '[Bot] Sogou';
	elseif (strpos($t, 'exabot') ) return '[Bot] Exabot';
	elseif (strpos($t, 'msn') ) return '[Bot] MSN';
	elseif (strpos($t, 'mj12bot') ) return '[Bot] Majestic';
	elseif (strpos($t, 'ahrefs') ) return '[Bot] Ahrefs';
	elseif (strpos($t, 'semrush') ) return '[Bot] SEMRush';
	elseif (strpos($t, 'rogerbot') || strpos($t, 'dotbot') )
		return '[Bot] Moz or OpenSiteExplorer';
	elseif (strpos($t, 'frog') || strpos($t, 'screaming'))
		return '[Bot] Screaming Frog';
	elseif (strpos($t, 'facebook') ) return '[Bot] Facebook';
	elseif (strpos($t, 'pinterest') ) return '[Bot] Pinterest';
	elseif (strpos($t, 'crawler' ) || strpos($t, 'api'    ) ||
		strpos($t, 'spider'  ) || strpos($t, 'http'   ) ||
		strpos($t, 'bot'     ) || strpos($t, 'archive') ||
		strpos($t, 'info'    ) || strpos($t, 'data'   )    )
			return '[Bot] Other';
	return '';
}
