<?php
/*************************************************************************
Family Group Worksheet Setup

Generic setup script using data structures from the config file.
Written April, 2012 by William Bisbee, www.bisbeefamily.com.
*************************************************************************/
/************************************************************************
ENHANCED INITIALIZATION: Safely open script from TNG root or from subdirectory
************************************************************************/
require_once 'tng_begin.php';
require_once 'fgw_inits.php';

/* only admin has access to setup script */
$superuser = $_SESSION['tngrole'] == 'admin' ? 1:0; 

if( !$superuser ) 
{
	trigger_error( $admtext['wse_access'], E_USER_ERROR );
	die();
}

// FGW configuration files
$setup_config = 'fgw_sufield_dict.php';
$default_config = 'fgw_defaultconfig.php';
$user_config = 'fgw_userconfig.php';
;
//require_once 'fgw_header.php';
require_once 'fgw_dbconn.php';
require_once $fgw_language_file;
require_once 'fgw_lib.php';
require_once $user_config;
require_once 'fgw_version.php';
require_once $setup_config;	// must be included after setup language file

// handle status messages for options form -- pass back to form via session vars
$procstat1 = $procstat2 = "";
if ( !empty( $_SESSION['procstat1'] ) ) 
{
	$procstat1 = $_SESSION['procstat1'];
	unset( $_SESSION['procstat1'] );
}
if ( !empty( $_SESSION['procstat2'] ) ) 
{
	$procstat2 = $_SESSION['procstat2'];
	unset( $_SESSION['procstat2'] );
}

$success = true;
/*************************************************************************
PROCESS SUBMITTED FORM
*************************************************************************/
$stat_str = "";
if( isset( $_POST ) && is_array($_POST) ) 
{
	if( !empty( $_POST['modify'] ) ) 
	{ // change preferences in config file *
		while (true) 
		{
			foreach( $options as $key => $value ) 
			{
			if( !empty( $_POST['options'][$key] ) )
				$options[$key] = trim( $_POST['options'][$key] );
			else
			$options[$key] = '';
		 }

			$stat_str = save_config( $user_config, $options );
			$_SESSION['procstat1'] = style_message( $stat_str, $success );
			header("location:{$_SERVER['PHP_SELF']}");
			exit;
			break;
		}
	}
	if( !empty( $_POST['restore'] ) ) 
	{ // restore default config *
		$state = copy_defaults( $default_config, $user_config );
		$_SESSION['procstat2'] = style_message( $state['msg'], $state['success'] );
		header("location:{$_SERVER['PHP_SELF']}");
		exit;
	}
}

/*************************************************************************
DISPLAY HTML PAGE HEADER
*************************************************************************/

tng_header( 'Setup', $flags=array());

/***************************************************************
	NAVIGATION LINKS - ADMIN HAS ALL LINKS
***************************************************************/
/* Active worksheet */
echo " 
 	<div id='navibar'>
		<a href='fgw.php'>{$text['ws_active']}</a>
		&nbsp;&nbsp;";

/* New worksheet */
echo "
		<a href='fgw.php?new=1'>{$text['ws_wslink']}</a>
		&nbsp;&nbsp;";

/* List saved worksheets & Visitor log */
echo "
	<a href='fgw_search.php?'>{$text['ws_wslist']}</a>
	&nbsp;&nbsp;

	<a href='fgw_logview.php?'>{$text['ws_userlog']}</a>
	&nbsp;&nbsp;";

/* FGW setup */
echo "
	<a href='fgw_setup.php?'>{$text['ws_wssetup']}</a>
	&nbsp;&nbsp;";

// Current site/fgw access status
$fgwpriv = !empty( $options['restricted'] ) ?
'FGW '.$text['ws_closed'] : 'FGW '.$text['ws_open'];
$tngpriv = !empty( $requirelogin ) ?
'Site '.$text['ws_closed'] : 'Site '.$text['ws_open'];

/* Site and FGW public status (open/closed) */
echo "
<br />(<span style='white-space:nowrap;'><i>Status: $tngpriv, $fgwpriv</i></span>)
<br /><br />";

echo "
	</div>";

/*************************************************************************
PAGE TITLE
*************************************************************************/

echo "
<div class=\"cap_wrapper\" style=\"margin-left:auto; margin-right: auto; padding:1em; color:#000000; background-color:#fffffa; font-size:120%;\">
<h2 class=\"header\" style=\"text-align:center;\"><img src=\"img/gear.png\" alt=\"\">&nbsp;{$text['su_apptitle']} ({$text['su_setup']})</h2>
";

/*************************************************************************
SHOW OPTIONS FORM
*************************************************************************/

// display links of setup page per config defs
$linkstr = "";
for( $i = 0; isset( $fgwlink[$i] ); $i++ ) 
{
	$linkstr .= "<form style=\"display:inline;\" method=\"link\" action=\"{$fgwlink[$i]['target']}\">
<input type=\"submit\" value=\"{$fgwlink[$i]['text']}\" />
</form>
&nbsp;&nbsp;
";
}
$linkstr .= "<br />";

echo display_options_form( $options, $fields, $procstat1, $procstat2 );

// display links at bottom of page per config defs
echo "<br /><hr />";
for( $i = 0; isset( $fgwlink[$i] ); $i++ ) 
{
	echo "<form style=\"display:inline;\" method=\"link\" action=\"{$fgwlink[$i]['target']}\">
<input type=\"submit\" value=\"{$fgwlink[$i]['text']}\" />
</form>
<div style=\"display:none\" id='wait'>
	<img src=\"img/ringspin.gif\" alt='' />
</div>
&nbsp;&nbsp;
";
}

/*************************************************************************
FOOTER
*************************************************************************/

echo "
<script type=\"text/javascript\">
jQuery(function($){
	$('#dotable').click(function(){
		var msg =	{$text['su_conf_table']};
		var proceed = confirm(msg);
		if(proceed) {
			$('#wait').show();
			$.post('fgw_table_make.php', { confirmed: true }, function(data) {
				$('#wait').hide();
				$('#wait').show();
				window.location.reload();
			});
		}
	});
	$('#droptable').click(function(){
		var msg2 =	{$text['su_conf_drop']};
		var proceed2 = confirm(msg2);
		if(proceed2) {
			$('#wait').show();
			$.post('fgw_table_remove.php', { confirmed: true }, function(data) {
				$('#wait').hide();
				$('#wait').show();
				window.location.reload();
			});
		}
	});
});
</script>";

echo "
<small><i>version $fgw_version, $revdate</i></small>
</div><!-- cap_wrapper -->
</body>
</html>
";

exit;
/*************************************************************************
FUNCTIONS
*************************************************************************/
function copy_defaults( $source, $destination ) { // copy a source file to its intended destination *
global $text;
	$state = array();
	if(!file_exists( $source ) ) { // no source file
		$state['success'] = false;
		$state['msg'] = $source.' '.$text['su_notfound'];
		return $state;
	}
	$copied = copy( $source, $destination );
	if( FALSE === $copied ) {
		$state['success'] = false;
		$state['msg'] = $source.' '.$text['su_notcopied'];
	}
	else {
		$state['success'] = true;
		$state['msg'] = $text['su_defrest'];
	}
	return $state;
}

function save_config($config_path, $options ) {
	global $text, $success;
	$success=true;
	$section = "#OPTIONS#";
	$optionstring = $section;
	foreach( $options as $key => $value ) {
			$optionstring .= "\n\$options['$key'] = \"$value\";";
	}
	if( FALSE === $configstring = file_get_contents ($config_path ) ) {
		$success = false;
		return $text['su_conffailed'];
	}
	$parts = explode ( $section, $configstring );
	$outstring = $parts[0] . $optionstring . "\n";
	if( FALSE === file_put_contents( $config_path, $outstring ) ) {
		$success = false;
		return $text['su_conffailed'];
	}
	return $text['su_confsaved'];
}

function style_message( $msg, $success=true ) { // style success/failure messages *
	if( $success )
		return "&nbsp;&nbsp;<img src=\"img/success.gif\" alt=\"\" />&nbsp;<span style=\"color:teal;\">$msg</span>\n";
	else
		return "&nbsp;&nbsp;<img src=\"img/failure.gif\" alt=\"\" />&nbsp;<span style=\"color:#990000;\">$msg</span>\n";
}

function display_options_form( $options, $fields, $procstat1, $procstat2 ) {
global $text;
	// use su_config $fields array to construct the input labels/fields
	$formstr = "
<!-- options form -->
<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}\" >
<h3 align=\"left\">{$text['su_prefs']}</h3>
";
	for($i=0;isset($fields[$i]);$i++) {
		$checked = NULL;
		$formstr .= !empty( $fields[$i]['section'] ) ? "<strong><i>{$fields[$i]['section']}</i></strong><br /><br />\n" : "";
		$formstr .= !empty( $fields[$i]['label_before'] ) ? "<label for=\"id$i\">{$fields[$i]['label_before']}</label>\n" : "";
		$formstr .= "<input ";
		$formstr .= "id=\"id$i\" name=\"options[{$fields[$i]['name']}]\" ";

		// set value for current field type
		switch( $fields[$i]['type'] ) {
			case "text":
				$value = $options[$fields[$i]['name']];
				break;
			case "radio":
				$value = $i;
				$checked = $options[$fields[$i]['name']] == $i ? "checked=\"checked\"": "";
				break;
			case "checkbox":
				$value = "on";
				$checked = $options[$fields[$i]['name']] == "on" ? "checked=\"checked\"": "";
				break;
			default:
				die( __LINE__ . " - form field type is unknown" );
				break;
		}
		$formstr .= "value=\"$value\" ";
		$formstr .= "type=\"{$fields[$i]['type']}\" ";
		$formstr .= !empty( $fields[$i]['size'] ) ? "size=\"{$fields[$i]['size']}\" " : "";
		$formstr .= "$checked />";
		$formstr .= !empty( $fields[$i]['label_after'] ) ? "\n<label for=\"id$i\">{$fields[$i]['label_after']}</label>\n" : "";
		if( !empty( $fields[$i]['term'] ) ) $formstr .= $fields[$i]['term'] . "\n";
	}
	// add control buttons and display processing status message
	$formstr .= "<br />
<input name=\"modify\" value=\"{$text['su_saveprefs']}\" type=\"submit\" />
&nbsp;&nbsp;$procstat1<br />
<input name=\"restore\" value=\"{$text['su_restore']}\" type=\"submit\" />
&nbsp;&nbsp;$procstat2<br /><br />";

// check to see if tng_forms table exists //
$istable = db_table_exists( $options['table'] );
$tabmsg = $options['table'].': ';
$tabmsg .= strtolower( $text['su_table'] );
$tabmsg .= $istable ? ' '. $text['su_exists'] : ' '.$text['su_noexists'];
$tabmsg = $istable ? style_message( $tabmsg, true )
			: style_message( $tabmsg, false );
$upgrade_link = '';

if( $istable ) {
	if( !db_column_exists( $options['table'], 'gedcom' ) ) {
		$upgrade_link = "<br /><a href=\"fgw_table_update.php\">{$text['su_upgrade']}</a>";
	}
}

$formstr .= "
<input id=\"dotable\" value=\"{$text['su_maketable']}\" type=\"button\"/>
&nbsp;&nbsp;$tabmsg<br />
<input id=\"droptable\" value=\"{$text['su_dropbutton']}\" type =\"button\" />
<br />
</form>
$upgrade_link";
	return $formstr;
}
?>
