<?php
/*
	fgw_showplain.php

	uses emailed link to access forms table for form
   http://localhost/t1013/fgw/showplain.php?id=33&amp;fkey=eaa71371050bccaa29986353ebcf9013


   include tng_startall.php to start script
   include version // fgw

   get options for name of forms table
   get record per $_GET arg

   display html

   gets form data & produces html output

*/


require_once 'tng_begin.php';
require_once 'fgw_inits.php'; 

// DETECT ATTEMPTED DIRECT ACCESS TO THIS SCRIPT
if( empty( $_GET ) || !is_array( $_GET ) ) {
	include_once $admin_language_file;
	trigger_error( $text['wse_access'], E_USER_ERROR );
	die();
}

require 'fgw_dbconn.php';
//require 'fgw_header.php';

if( is_array($_GET) ) {
	foreach( $_GET as $key => $value ){
		${$key} = $value;
	}
}

if( empty( $id ) || empty( $fkey ) ) {
	include $admin_language_file;
	echo
	trigger_error( $text['wse_no_idkey'], E_USER_ERROR );
	die();
}

include $fgw_language_file;

$ftable = $options['table'];
$query = "SELECT * FROM $ftable WHERE formID = '$id' AND fkey = '$fkey'";
$rows = db_select( $query );

if( empty( $rows[0]['formID'] ) ) {
	include $admin_language_file;
	trigger_error( $text['wse_no_worksheet'], E_USER_ERROR );
	die();
}
$form = $rows[0];

// prepare the form data
$data = unserialize( base64_decode($form['data'] ) );
foreach( $form as $key => $value ) {
   if( $key == 'data' ) continue;
   ${$key} = $value;
}

// Compatibility with early versions of the worksheet
if( !isset( $data['unotes'] ) ) $data['unotes'] = '';
if( !isset( $data['urelation'] ) ) $data['urelation'] = '';

$query = "SELECT treename FROM $trees_table WHERE gedcom = '$gedcom'";
$rows = db_select( $query );
$famtree = $rows[0]['treename'];

$flags['scripting'] = "
<style type=\"text/css\">
   #plainlist ul {
      padding-top:15px;
   }
   #plainlist ul li {
      list-style-type:none;
   }
</style>
";

//include 'fgw_header.php';
tng_header( 'Print', $flags );

$formtitle = html_entity_decode( $form['description'] );

echo "
   <div id=\"plainlist\">
   <ul>
      <li><h2>$formtitle</h2></li>
      <li><h3>{$text['ws_familytree']}: $famtree&nbsp;&nbsp;{$text['ws_worksheet']}: $id</h3></li>
   </ul>";

if( is_person( $data['husb'] ) ) {
   print_spouse( $data['husb'] );
}
if( is_person( $data['wife'] ) ) {
   print_spouse( $data['wife'] );
}
print_marriage( $data['marr'] );
print_children( $data['child'] );
print_notes( $data['unotes'] );
print_submitter( $data['user'] );
print_relationship( $data['urelation'] );
print_credit( $data['user']['credit'] );

echo "
</div><!--plainlist-->
</body>
</html>";

/*************************************************************************
FUNCTIONS
*************************************************************************/
function print_spouse( $spouse ) {
   global $text;

   if( $spouse['role'] == 'husband' ) $subtitle = strtoupper( $text['ws_husb'] );
   elseif( $spouse['role'] == 'wife' ) $subtitle = strtoupper( $text['ws_wife'] );
   else $subtitle = strtoupper( $text['ws_partner'] );

   echo "
   <ul>
      <li>$subtitle ({$spouse['sex']}) PersonID {$spouse['personID']}</li>";
   print_ident( $spouse );
   if( is_person( $spouse['father'] ) ) {
      $thelabel = "&nbsp;&nbsp;&nbsp;&nbsp;{$text['ws_father']}: ";
      print_ident( $spouse['father'], $thelabel );
   }
   if( is_person( $spouse['mother'] ) ) {
      $thelabel = "&nbsp;&nbsp;&nbsp;&nbsp;{$text['ws_mother']}: ";
      print_ident( $spouse['mother'], $thelabel );
   }
   print_vitals( $spouse );
   echo "
   </ul>";
}

function is_person( $person ) {
   if( empty( $person['firstname'] ) && empty( $person['lastname'] ) )
      return false;
   return true;
}

function print_ident( $person, $label='' ) {
   global $text;

   $outstr = "
      <li>";
   if( !empty( $label ) ) $outstr .= $label.' ';
   if( !empty( $person['title'] ) ) $outstr .= $person['title'].' ';
   if( !empty( $person['prefix'] ) ) $outstr .= $person['prefix'] . ' ';
   if( !empty( $person['firstname'] ) ) $outstr .= $person['firstname'].' ';
   if( !empty( $person['nickname'] ) ) $outstr .= "\"{$person['nickname']}\" ";
   if( !empty( $person['lastname'] ) ) $outstr .= strtoupper( $person['lastname']).' ';
   if( !empty( $person['suffix'] ) ) $outstr .= $person['suffix'].' ';
   if( !empty( $person['living'] ) ) $outstr .= $text['ws_living'];
   echo rtrim( $outstr ) . '</li>';
}

function print_vitals( $person ) {
   global $text;

   if( !empty( $person['birthdate'] ) || !empty( $person['birthplace'] ) ) {
      echo "
      <li>{$text['ws_born']}: ";
      if( !empty( $person['birthdate'] ) && !empty( $person['birthplace'] ) )
         echo "{$person['birthdate']}, {$person['birthplace']}</li>";
      elseif( !empty( $person['birthdate'] ) )
         echo "{$person['birthdate']}</li>";
      else
         echo "{$person['birthplace']}</li>";
   }

   if( !empty( $person['altbirthdate'] ) || !empty( $person['altbirthplace'] ) ) {
      echo "
      <li>{$text['ws_chr']}: ";
      if( !empty( $person['altbirthdate'] ) && !empty( $person['altbirthplace'] ) )
         echo "{$person['altbirthdate']}, {$person['altbirthplace']}</li>";
      elseif( !empty( $person['altbirthdate'] ) )
         echo "{$person['altbirthdate']}</li>";
      else
         echo "{$person['altbirthplace']}</li>";
   }

   if( !empty( $person['baptdate'] ) || !empty( $person['baptplace'] ) ) {
      echo "
      <li>{$text['ws_baptizedlds']}: ";
      if( !empty( $person['baptdate'] ) && !empty( $person['baptplace'] ) )
         echo "{$person['baptdate']}, {$person['baptplace']}</li>";
      elseif( !empty( $person['baptdate'] ) )
         echo "{$person['baptdate']}</li>";
      else
         echo "{$person['baptplace']}</li>";
   }

   if( !empty( $person['confdate'] ) || !empty( $person['confplace'] ) ) {
      echo "
      <li>{$text['ws_confirmedlds']}: ";
      if( !empty( $person['confdate'] ) && !empty( $person['confplace'] ) )
         echo "{$person['confdate']}, {$person['confplace']}</li>";
      elseif( !empty( $person['confdate'] ) )
         echo "{$person['altbirthdate']}</li>";
      else
         echo "{$person['altbirthplace']}</li>";
   }

   if( !empty( $person['initdate'] ) || !empty( $person['initplace'] ) ) {
      echo "
      <li>{$text['ws_initiatory']}: ";
      if( !empty( $person['initdate'] ) && !empty( $person['initplace'] ) )
         echo "{$person['initdate']}, {$person['initplace']}</li>";
      elseif( !empty( $person['initdate'] ) )
         echo "{$person['initdate']}</li>";
      else
         echo "{$person['initplace']}</li>";
   }

   if( !empty( $person['endldate'] ) || !empty( $person['endlplace'] ) ) {
      echo "
      <li>{$text['ws_endowedlds']}: ";
      if( !empty( $person['endldate'] ) && !empty( $person['endlplace'] ) )
         echo "{$person['endldate']}, {$person['endlplace']}</li>";
      elseif( !empty( $person['endldate'] ) )
         echo "{$person['endldate']}</li>";
      else
         echo "{$person['endlplace']}</li>";
   }

   if( !empty( $person['parsfam']['sealdate'] ) || !empty( $person['parsfam']['sealplace'] ) ) {
      echo "
      <li>{$text['ws_sealedplds']}: ";
      if( !empty( $person['parsfam']['sealdate'] ) && !empty( $person['parsfam']['sealplace'] ) )
         echo "{$person['parsfam']['sealdate']}, {$person['parsfam']['sealplace']}</li>";
      elseif( !empty( $person['parsfam']['sealdate'] ) )
         echo "{$person['parsfam']['sealdate']}</li>";
      else
         echo "{$person['parsfam']['sealplace']}</li>";
   }

   if( !empty( $person['deathdate'] ) || !empty( $person['deathplace'] ) ) {
      echo "
      <li>{$text['ws_died']}: ";
      if( !empty( $person['deathdate'] ) && !empty( $person['deathplace'] ) )
         echo "{$person['deathdate']}, {$person['deathplace']}</li>";
      elseif( !empty( $person['deathdate'] ) )
         echo "{$person['deathdate']}</li>";
      else
         echo "{$person['deathplace']}</li>";
   }

   if( !empty( $person['burialdate'] ) || !empty( $person['burialplace'] ) ) {
      echo "
      <li>{$text['ws_buried']}: ";
      if( !empty( $person['burialdate'] ) && !empty( $person['burialplace'] ) )
         echo "{$person['burialdate']}, {$person['burialplace']}</li>";
      elseif( !empty( $person['burialdate'] ) )
         echo "{$person['burialdate']}</li>";
      else
         echo "{$person['burialplace']}</li>";
   }
}

function print_marriage( $marr ) {
   global $text;

   foreach( $marr as $key => $value ) {
      if( $key == "husband" ) continue;
      if( $key == "wife" ) continue;
      if( $value ) break;
   }
   if( !$value ) return;

   echo "
   <ul>
      <li>".strtoupper($text['ws_marriage']);
   if( $marr['familyID'] ) {
      echo " ({$marr['familyID']})";
   }
   if( $marr['marrdate'] || $marr['marrplace'] ) {
      echo "
      <li>{$text['ws_married']}: ";
      if( $marr['marrdate'] && $marr['marrplace'] )
         echo "{$marr['marrdate']}, {$marr['marrplace']}";
      elseif( $marr['marrdate'] )
         echo $marr['marrdate'];
      else
         echo $marr['marrplace'];
      echo "</li>";
   }

   if( $marr['divdate'] || $marr['divplace'] ) {
      echo "
      <li>{$text['ws_divorced']}: ";
      if( $marr['divdate'] && $marr['divplace'] )
         echo "{$marr['divdate']}, {$marr['divplace']}";
      elseif( $marr['divdate'] )
         echo $marr['divdate'];
      else echo $marr['divplace'];
      echo "</li>";
   }

   if( $marr['sealdate'] || $marr['sealplace'] ) {
      echo "
      <li>{$text['ws_sealedslds']}: ";
      if( $marr['sealdate'] && $marr['sealplace'] )
         echo "{$marr['sealdate']}, {$marr['sealplace']}";
      elseif( $marr['sealdate'] ) echo $marr['sealdate'];
      else echo $marr['sealplace'];
      echo "<li>";
   }
   echo "
   </ul>";
}

function print_children( $child ) {
   global $text;

	// AVOID PHP WARNINGS - added in v43
	if( empty( $child[0] ) ) return;
   if( !$child[0]['firstname'] && !$child[0]['lastname'] ) return;

   echo "
   <ul>
      <li>".strtoupper($text['ws_title_children'])."</li>
   </ul>";
   foreach( $child as $kid ) {
      if( !$kid['firstname'] && !$kid['lastname'] ) break;
      echo "
   <ul>";
      print_ident( $kid );
      print_vitals( $kid );
   echo "
   </ul>";
   }
}

function print_notes( $notes ) {
   global $text;

   if( !$notes ) return;
   echo "
   <ul>
      <li>".strtoupper($text['ws_notes'])."</li>
      <li>$notes</li>
   </ul>";
}
function print_submitter( $user ) {
      global $text;

      echo "
   <ul>
      <li>{$text['ws_submittedby']} {$user['realname']}";
   if( $user['city'] )
      echo ", {$user['city']}";
   if( $user['state'] )
      echo ", {$user['state']}";
   if( $user['country'] )
      echo ", {$user['country']}";
   echo "<li>
      <li>{$text['ws_email']}: {$user['email']}</li>
   </ul>";
}
function print_relationship( $relation ) {
   global $text;

   if( $relation ) {
   echo "
   <ul>
      <li>{$text['ws_relfam']}</li>
      <li>$relation</li>
   </ul>";
   }
}
function print_credit( $credit ) {
   global $text;

   echo "
   <ul>
      <li>" . strtoupper( $text['ws_credit'] ) . "</li>
      <li>$credit</li>
   </ul>";
}
