<?php
/*************************************************************************
CREATE TNG_FORMS TABLE AND TRIGGER
  Standalone - Run once during setup;
  Fair warning: if table already exists all old data will be lost!
*************************************************************************/
require_once 'tng_begin.php';
require_once 'fgw_inits.php';

// CONFIRM ACCESS RIGHTS
if( empty( $_SESSION['tngrole'] ) || $_SESSION['tngrole'] != 'admin' ) {
	trigger_error( $admtext['wse_access'], E_USER_ERROR );
	die();
}

// CONFIRM USER INTENT
if( empty( $_REQUEST['confirmed'] ) ) {
	trigger_error( $admtext['wse_no_confirm'], E_USER_ERROR );
	die();
}

require 'fgw_dbconn.php';

if( empty( $options['table'] ) ) {
	trigger_error( $admtext['wse_no_tablename'], E_USER_ERROR );
	die();
}

if( db_table_exists ( $options['table'] ) ) {
    db_system( "DROP TABLE IF EXISTS {$options['table']}" );
}

$query = "CREATE TABLE {$options['table']} (
    `formID` INT(11) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
    `gedcom` VARCHAR(20) NOT NULL, INDEX(`gedcom`),
    `description` VARCHAR(128) NOT NULL,
    `data` TEXT,
    `fkey` VARCHAR(128),
    `email` VARCHAR(128) NOT NULL,
    `subname` VARCHAR(64) NOT NULL,
    `created` DATETIME,
    `updated` TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    `merged` TINYINT(4) DEFAULT 0,
    `closed` TINYINT(4) DEFAULT 0,
    `familyID` VARCHAR(64), INDEX(`familyID`),
    `husbID` VARCHAR(64), INDEX(`husbID`),
    `wifeID` VARCHAR(64), INDEX(`wifeID`),
    INDEX (`gedcom`),
    INDEX (`fkey`)
    ) ENGINE MYISAM";
	db_system( $query ) or trigger_error( "Error:</br>".mysqli_error($DB), E_USER_ERROR );
