<?php
include '../../helplib.php';
echo help_header( 'Help: Family Group Worksheet' );
?>
<body class="helpbody">
<a name="top"></a>
<table width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<p style="float:right; text-align:right" class="smaller menu">
			<a href="http://tngforum.us" target="_blank" class="lightlink">TNG Forum</a> &nbsp; | &nbsp;
			<a href="http://tng.lythgoes.net/wiki" target="_blank" class="lightlink">TNG Wiki</a><br />
		</p>
		<span class="largeheader">Help: Family Group Worksheet</span>
		<p class="smaller menu">
			<a href="#general" class="lightlink">General</a> &nbsp; | &nbsp;
			<a href="#head " class="lightlink">Heads of Family</a> &nbsp; | &nbsp;
            <a href="#lds" class="lightlink">LDS Events</a> &nbsp; | &nbsp;
            <a href="#marriage" class="lightlink">Marriage</a> &nbsp; | &nbsp;
			<a href="#children" class="lightlink">Children</a> &nbsp; | &nbsp;
            <a href="#notes" class="lightlink">Notes</a> &nbsp; | &nbsp;
            <a href="#credits" class="lightlink">Credits</a>&nbsp; | &nbsp;
            <a href="#submit" class="lightlink">Submit</a>&nbsp;
		</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<a name="general"><p class="subheadbold">General</p></a>
        <p>Use this form to submit family groups to the website for inclusion in our family tree.  All fields do not have to be filled in, just provide the information you know.  To help us identify where in our family tree to place your new information, the form should contain at least one person who is already in our database.</p>
        <p>In our database, each person has an ID that can be found on his or her history page.  If you enter that ID number in the form for husband or wife and click on the plus (+) button, we will fill in the form with that person's data so that you can add to or edit it. If we have information on their marriages, you can click on the Marriages dropdown list and select a spouse.  The form will add the spouse and children for you. If the person you select is living and you do not have privileges to see this kind of information, the form will not update.  After you have submitted a Family Group Worksheet, you may correct and resubmit it if necessary.  Be sure to explain the corrections in the Notes area.</p>
    </td>
</tr>
<tr class="databack">
	<td class="tngshadow">
        <p style="float:right"><a href="#top">Top</a></p>
		<a name="head"><p class="subheadbold">Heads of Family</p></a>
        <p>By default the heads of family are listed as Husband and Wife.  Both the titles and sex can be changed via the drop down lists.</p>
        
        <span class="optionhead">Person ID</span>
        <p>Person ID is a unique identification number attached to everyone in our database.  Your first form submission should contain at least one of your heads of family who are already in our database; otherwise, we won't know how to attach your family to our tree. Please find the personal page for one or both heads of family, note the Person ID beginning with the letter 'I', enter it in the corresponding field in the worksheet, and click on the plus button (+) to add that person.</p>
		</p>To remove a spouse, click on the minus button (&mdash;) next to the personID field.
		
		<span class="optionhead">Marriages</span>
		<p>the Marriages drop down list allows us to select among the person's spouses.  When selected, the worksheet inserts all the data concerning the marriage, the spouse and the children.</p>

		<span class="optionhead">Prefix</span>
        <p>Use the prefix to include titles such as Captain, Dr. or Senator.</p>
        <span class="optionhead">First Name</span>
        <p>First names should include all the given or middle names if known.</p>
        <span class="optionhead">Last Name</span>
        <p>Surname or, in the case of a married woman, her maiden name.</p>
        <span class="optionhead">Suffix</span>
        <p>Use this field to include titles or degrees like Phd, MD, or Jr.</p>
        <span class="optionhead">Living</span>
        <p>A checkmark here indicates the person is still living.  Information about living persons is hidden from public visitors.  Uncheck this box if the person is known to be deceased.</p>
        <span class="optionhead">Nickname</span>
        <p>Use this field if the person was usually known by a diminuative, affectionate or some other name such as "Shorty."</p>
        <p>
		<span class="optionhead">Dates and Places</span>
        <p>Please note the formats for dates and places.  The dates may be European (dd/mm/yyyy) or American (mm/dd/yyyy), depending on the location of the website.  Always entering them as 3/23/1942, for example, will assure they correclty formated (23 Mar 1942) for our database and will avoid confusion and delay in accepting your data.</p>
        <p>Places are normally given as city, county, state, country.  However, we recognize that some locations do not fit that pattern, or you may not know all of it.  Enter only what you know for sure.</p>
    </td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="lds"><p class="subheadbold">LDS Events</p></a>
        <p>If the website supports LDS Events and you are granted access to them, the following fields will be available to you:</p>
        <span class="optionhead">Baptized (LDS)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Confirmed (LDS)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Initiatory (LDS)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Endowed (LDS)</span>
        <p>&nbsp;</p>
        <span class="optionhead">Sealed-P (LDS)</span>
        <p>This field is for sealing to parents</p>
        <span class="optionhead">Searled-S (LDS)</span>
        <p>This field will appear as part of the marriage information and is used to record sealing to spouse.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="marriage"><p class="subheadbold">Marriage</p></a>
		<p>Add information concerning a person's marriage and/or divorce.</p> 
		<p>If the site supports LDS events, there is also space for LDS sealing to spouse.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="children"><p class="subheadbold">Children</p></a>
        <p>As you add children, an empty line for the next child will be added as needed, or you can add a new line manually by clicking on the plus ('+') button, <i><u>provided an empty line does not already exist</u></i>. To remove a child line from the bottom of the list, click on the minus ('&dash;') button. The last line cannot be removed, but clicking this button will clear the data.</p>
 		<span class="optionhead">First Name</span>
        <p>A child must have a first name to be accepted. <i>If you don't know the child's name, or the child died at birth before being named, enter a question mark in the First name field.</i></p>
        <span class="optionhead">Dates and Places</span>
        <p>Dates and places should be entered as explained under <strong>Heads of Family</strong></p>
        <span class="optionhead">Living status</span>
        <p>Children are assumed to be living unless you enter a date of death.  If you know that they are deceased, please uncheck this box.</p>
		<span class="optionhead">New worksheet</span>
		<p>After a child has been entered you will see a plus button (+) at the end of their data line. Clicking on this button will open a worksheet in a new window with that child filled in as head of household. If parents are provided in the first worksheet, they are provide here as well. If the child is already in our database, additional information like a Marriages drop down list may be provided.  Fill out the worksheet and submit it if you like. Use as many worksheets as you need to fully describe your family history.</p>
	</td>
</tr>

<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="notes"><p class="subheadbold">Notes</p></a>
        <p>Use Notes to provide additional information about parents or children, to explain how this family fits into our genealogy, source documents that may apply, or the reason for resubmitting a corrected form.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="credits"><p class="subheadbold">Credits</p></a>
        <p>We always want to give credit to those who take the time to submit their genealogies to us.  Technically, you will not be a source, in the same sense that a birth certificate is a source.  However, information submitted by somone's child or grandchild is generally accepted as more reliable than that provided anonymously.  The credit line gives you a chance to express how you would like to be acknowledged. The default is just a suggestion.  Please modify it to suit yourself, preferably with some statement as to how you are related to the family.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="submit"><p class="subheadbold">Submit</p></a>
        <p>When you submit your completed form, a copy will be created on our website that can be accessed using its ID number and a long random key that is sent as a link to the email address you provide. You can continue to revisit, edit and save it again using the link. Within a short time the site administrator will review and act upon your submission and send you acknowledgement.
        </p>
	</td>
</tr>
</table>
</body>
</html>